Resource Allocation
A Resource Allocation record exposes a resource allocation to REST web services. This record is not a subrecord. This record has no subrecords.
The resource allocation record lets you reserve an employee's time for a particular project.
To request resource time, enter a resource allocation record. You can select the resource, project, task, dates, and hours for each allocation. For long-term projects, you can set a recurring schedule. After the allocation has been created, the resource is available for project tasks. If you select a project task when creating the allocation, you don't need to assign the resource again. For more information, see Assigning Resources with Allocations.
For more information about supported operations and field definitions, see Resource Allocation.
For information about working with this record in the UI, see Resource Allocations.
The REST API Browser includes information about the field names and field types of the resource allocation record and about the HTTP methods, request parameters, and operations available to this record.
For information on using the REST API Browser, see The REST API Browser.
Record ID
The record ID for a resource allocation REST record is resourceAllocation.
Prerequisites
The Resource Allocations feature must be enabled at Setup > Company > Setup Tasks > Enable Features (Administrator), on the Company subtab.
Usage Notes
When working with the resource allocation records, the Allocation Unit (allocationUnit) can have one of the following values:
-
H - for number of hours
-
P - for percentage of Time.
Code Sample
These samples show common use cases for resource allocations.
Creating a Resource Allocation
POST https://<accountID>/services/rest/record/v1/resourceAllocation
Content-Type: application/json
Accept: application/json
Authorization: Bearer <access_token>
{
"allocationAmount": 8,
"allocationResource": {
"id": "321"
},
"allocationType": "1",
"allocationUnit": "H",
"approvalStatus": "4",
"endDate": "2024-05-07",
"nextApprover": {
"id": "322"
},
"notes": "New Note",
"project": {
"id": "328"
},
"projectTask": {
"id": "377"
},
"requestedBy": {
"id": "327"
},
"startDate": "2024-05-05"
}
Retrieving a Resource Allocation
GET https://<accountID>/services/rest/record/v1/resourceAllocation/602
Accept: application/json
Authorization: Bearer <access_token>
Response Sample
{
"links": [
{
"rel": "self",
"href": "http://<accountID>/services/rest/record/v1/resourceAllocation/602",
"method": "GET"
}
],
"allocationAmount": 8.0,
"allocationResource": {
"links": [
{
"rel": "self",
"href": "http://<accountID>/services/rest/record/v1/employee/321",
"method": "GET"
}
],
"id": "321",
"refName": "Employee A01"
},
"allocationType": {
"links": [],
"id": "1",
"refName": "Hard"
},
"allocationUnit": {
"links": [],
"id": "H",
"refName": "Hours"
},
"customForm": {
"links": [],
"id": "-830",
"refName": "Standard Resource Allocation Form"
},
"endDate": "2024-05-07",
"id": "602",
"lastModifiedDate": "2026-03-09T14:49:00Z",
"notes": "New Note",
"numberHours": 8.0,
"percentOfTime": 50.0,
"project": {
"links": [],
"id": "328",
"refName": "Business Services, Ltd. : FBI Project"
},
"projectTask": {
"links": [
{
"rel": "self",
"href": "http://<accountID>/services/rest/record/v1/projecttask/377",
"method": "GET"
}
],
"id": "377",
"refName": "Task 1"
},
"requestedBy": {
"links": [
{
"rel": "self",
"href": "http://<accountID>/services/rest/record/v1/employee/327",
"method": "GET"
}
],
"id": "327",
"refName": "Employee A04"
},
"startDate": "2024-05-05"
}